<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bGrupos,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } 
	String persona = (String) session.getAttribute("persona");
	m05bFileLog miLog = new  m05bFileLog();
	miLog.addTraza(persona, "Grupos JSP","******************", m05bConstantes.LOG_NIVEL_BAJO);
	
	%>
	<%@ include file="/m05bIdioma.inc"%>


<HTML>
<head>
		<title><%= resTit.getString("titMtoGrupos")%></title>
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<%
	
	String sql = "", accion, mensaje;
	String codigo, sRango;
    java.sql.Connection conn=null;
    PreparedStatement pstmt = null;
    ResultSet rs = null;

	
	codigo = request.getParameter("Codigo")==null?"":request.getParameter("Codigo");
	mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");

	m05bGrupos grupos = null;
	if ( (codigo==null) || (codigo.equals("")) ) {
		accion=m05bConstantes.ACC_INSERTAR;
		session.removeAttribute("m05bGrupos");
	    codigo=request.getParameter("Cod");
	} else   {
		accion=m05bConstantes.ACC_ACTUALIZAR;
		grupos = (m05bGrupos)session.getAttribute("m05bGrupos");
	}
	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
	    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)){
		accion=m05bConstantes.ACC_INSERTAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 16));</script>");
	}
	outMsg.close();

	if (grupos == null){
		grupos = new m05bGrupos();
		session.setAttribute("m05bGrupos",grupos);
	}

    ArrayList a = new ArrayList();
    if (accion.equals(m05bConstantes.ACC_ACTUALIZAR)){
	    String aux="";
        boolean bolin=true;
        sRango=grupos.getGru_rango();
        while (sRango.indexOf(",")!=-1 && bolin){
	         aux=sRango.substring(0,sRango.indexOf(","));
	         bolin=a.add(aux);
	         sRango=sRango.substring(sRango.indexOf(",")+1,sRango.length());
        }
        if (sRango !=null && !sRango.equals(""))
             bolin=a.add(sRango);
	   }
    String nombreCast=grupos.getGru_nombre();
    if (nombreCast==null || nombreCast.equals("NULL")) {
    	nombreCast="";
    };
    String nombreEusk=grupos.getGru_nombreEu();
    if (nombreEusk==null || nombreEusk.equals("NULL")) {
    	nombreEusk="";
    };
%>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_GRUPOS%>?Codigo=<%=codigo%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelGrupos")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_GRPRANGOS%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoGrupos")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
	var accion=<%=accion%>
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formGrupos" METHOD="POST">
					  <TABLE class="general">
					    <tr>
					      <td width="90%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					  </TABLE>
						<p>
					  <TABLE class="general">
					    <tr>
					      <td width="15%" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
					      <td width="40%" class="inputFieldTitle"><%= res.getString("etNombre")%></td>
					       <td width="40%" class="inputFieldTitle"><%= res.getString("etNombreEu")%></td>
					    </tr>
				
					    <tr>
					      <% if ( (codigo.equals("")) || (mensaje.equals("Existe")) ) {  %>
					      		<td align="left" width="15%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" size="10%" maxlength="20"/> </td>
						  <% } 
						  	else  { %>
					      		<td align="left" width="15%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" disabled VALUE="<%=codigo%>" size="10%" maxlength="20"/> </td>
					      <%  }  %>
					      <td align="left" width="85%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Nombre" VALUE="<%=nombreCast%>" size="90%" maxlength="40"/> </td>
					        <td align="left" width="85%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="NombreEu" VALUE="<%=nombreEusk%>" size="90%" maxlength="40"/> </td>
			
					    </tr>
					  </TABLE>
					  <TABLE class="general">
					     <tr>
					       <td class="inputFieldTitle" colspan="6"><%= res.getString("etRango")%></td>
					     </tr>
					     <% boolean bolFila=true;
					        sql ="select " + m05bConstantes.COL_99_CODDESC + ","+ "NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")" + " from ";
					        sql = sql + m05bConstantes.TAB_DESCRIPCIONES + " where " + m05bConstantes.COL_99_CODTABLA + "= " + m05bConstantes.DESC_RANGOS +
					        		" order by " + m05bConstantes.COL_99_CODDESC;
					        //m05bbBeginSelect(sql);
					        //m05bRS = m05bPStmt.executeQuery();

		                    m05bConexion miConex = new m05bConexion();
                            conn = miConex.getConnection();
                            conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		                    pstmt = conn.prepareStatement(sql);
		                    rs = pstmt.executeQuery();					        
					        int i=1;
					        String strCodRan="";
					        while (rs.next() == true){
					            strCodRan=rs.getString(1);
					            if (bolFila){ %>
					            <tr>
					            <%}%>
						            <td class="inputField" align="left"><input type="checkbox" name="chkBox<%=i%>" value="<%=strCodRan%>" class="inputField" <%if(a.contains(strCodRan)){%>checked<%}%>></td>
						            <td class="inputField" align="left"><%=strCodRan%>&nbsp&nbsp</td>
						            <td class="inputField" align="left"><%=rs.getString(2)%></td>
					          <%
					            if (!bolFila){
					                bolFila=true;%>
					                </tr>
					            <%}
					            else
					               bolFila=false;
					            i++;
					        }
					        //m05bEndSelect();
                            if (rs != null)
			                    rs.close();
		                    if (pstmt != null)
			                    pstmt.close();
		                    if (conn != null)
			                    conn.close();
					        
					        if (!bolFila){%>
					        <td>&nbsp;</td>
					        </tr>
					       <%}%>
					  </TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
		function fncGrabar(codigo,accion) {
		     	var docu = document.formGrupos;
		     	if(docu.Codigo.value==""){
					alert(dameAlerta(idioma, 0));
					docu.Codigo.focus();
					return;
				}
				if(existeCaracter(docu.Codigo.value,"\'")||existeCaracter(docu.Codigo.value,'\"')){
					alert(dameAlerta(idioma, 1));
					docu.Codigo.focus();
					return;
				}
				
				if(docu.Nombre.value==""||docu.NombreEu.value==""){
					alert(dameAlerta(idioma, 0));
					docu.Nombre.focus();
					return;
				}
				if(existeCaracter(docu.Nombre.value,"\'")||existeCaracter(docu.Nombre.value,'\"')
						 ||existeCaracter(docu.NombreEu.value,"\'")||existeCaracter(docu.NombreEu.value,'\"')){
					alert(dameAlerta(idioma, 1));
					docu.Nombre.focus();
					return;
				}
		     	if ( accion!="U" &&((codigo =="A") || (codigo =="B") || (codigo =="C") || (codigo =="D") || (codigo =="RA") || (codigo == "RB"))) {
     	 	 		alert(dameAlerta(idioma, 17));
		 		} else {
			        var cont = <%=i%>;
			        var grabar=false;
			        for (i=0;i < cont;i++){
			            var actual=document.all("chkBox"+i);
			            if ( (actual != null) && (actual.checked==true) ) {
			   	            grabar=true;
			   	        }
			   	     }
			   	     if (grabar==true) {
			   	     	
			   	     	 if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
							if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
								return;
						 }
			   	     
					     document.formGrupos.action="m05bGrabarGruposServlet?Codigo=" + codigo + "&Accion=" + accion;
					     document.formGrupos.submit();
					 } else {
		     	 	 	alert(dameAlerta(idioma, 18));
					 }
		     	 }
		}
						  
    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>